ipc_cfg.h File Reference
`#include <netinet/in.h>`
`#include <corosync/corotypes.h>`
`#include <corosync/mar_gen.h>`
Include dependency graph for ipc_cfg.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | req_lib_cfg_ringstatusget
| The req_lib_cfg_ringstatusget struct. More...
struct | res_lib_cfg_ringstatusget
| The res_lib_cfg_ringstatusget struct. More...
struct | req_lib_cfg_nodestatusget
| The req_lib_cfg_nodestatusget struct. More...
struct | res_lib_cfg_nodestatusget_version
struct | res_lib_cfg_nodestatusget_v1
| The res_lib_cfg_nodestatusget struct. More...
struct | req_lib_cfg_ringreenable
| The req_lib_cfg_ringreenable struct. More...
struct | res_lib_cfg_ringreenable
| The res_lib_cfg_ringreenable struct. More...
struct | req_lib_cfg_killnode
| The req_lib_cfg_killnode struct. More...
struct | res_lib_cfg_killnode
| The res_lib_cfg_killnode struct. More...
struct | req_lib_cfg_tryshutdown
| The req_lib_cfg_tryshutdown struct. More...
struct | res_lib_cfg_tryshutdown
| The res_lib_cfg_tryshutdown struct. More...
struct | req_lib_cfg_replytoshutdown
| The req_lib_cfg_replytoshutdown struct. More...
struct | res_lib_cfg_replytoshutdown
| The res_lib_cfg_replytoshutdown struct. More...
struct | res_lib_cfg_testshutdown
| The res_lib_cfg_testshutdown struct. More...
struct | req_lib_cfg_get_node_addrs
| The req_lib_cfg_get_node_addrs struct. More...
struct | res_lib_cfg_get_node_addrs
| The res_lib_cfg_get_node_addrs struct. More...
struct | req_lib_cfg_local_get
| The req_lib_cfg_local_get struct. More...
struct | res_lib_cfg_local_get
| The res_lib_cfg_local_get struct. More...
struct | req_lib_cfg_reload_config
| The req_lib_cfg_reload_config struct. More...
struct | res_lib_cfg_reload_config
| The res_lib_cfg_reload_config struct. More...
struct | req_lib_cfg_reopen_log_files
| The req_lib_cfg_reopen_log_files struct. More...
struct | res_lib_cfg_reopen_log_files
| The res_lib_cfg_reopen_log_files struct. More...
struct | req_lib_cfg_trackstart
struct | res_lib_cfg_trackstart
struct | req_lib_cfg_trackstop
struct | res_lib_cfg_trackstop

## Macros

#define | CFG_INTERFACE_NAME_MAX_LEN 128
#define | CFG_INTERFACE_STATUS_MAX_LEN 512
#define | CFG_MAX_INTERFACES 16

## Enumerations

enum

req_lib_cfg_types {
MESSAGE_REQ_CFG_RINGSTATUSGET = 0 , MESSAGE_REQ_CFG_RINGREENABLE = 1 , MESSAGE_REQ_CFG_KILLNODE = 2 , MESSAGE_REQ_CFG_TRYSHUTDOWN = 3 ,
MESSAGE_REQ_CFG_REPLYTOSHUTDOWN = 4 , MESSAGE_REQ_CFG_GET_NODE_ADDRS = 5 , MESSAGE_REQ_CFG_LOCAL_GET = 6 , MESSAGE_REQ_CFG_RELOAD_CONFIG = 7 ,
MESSAGE_REQ_CFG_REOPEN_LOG_FILES = 8 , MESSAGE_REQ_CFG_NODESTATUSGET = 9 , MESSAGE_REQ_CFG_TRACKSTART = 10 , MESSAGE_REQ_CFG_TRACKSTOP = 11
}

| The req_lib_cfg_types enum. More...

enum

res_lib_cfg_types {
MESSAGE_RES_CFG_RINGSTATUSGET = 0 , MESSAGE_RES_CFG_RINGREENABLE = 1 , MESSAGE_RES_CFG_STATETRACKSTART = 2 , MESSAGE_RES_CFG_STATETRACKSTOP = 3 ,
MESSAGE_RES_CFG_ADMINISTRATIVESTATESET = 4 , MESSAGE_RES_CFG_ADMINISTRATIVESTATEGET = 5 , MESSAGE_RES_CFG_SERVICELOAD = 6 , MESSAGE_RES_CFG_SERVICEUNLOAD = 7 ,
MESSAGE_RES_CFG_KILLNODE = 8 , MESSAGE_RES_CFG_TRYSHUTDOWN = 9 , MESSAGE_RES_CFG_TESTSHUTDOWN = 10 , MESSAGE_RES_CFG_GET_NODE_ADDRS = 11 ,
MESSAGE_RES_CFG_LOCAL_GET = 12 , MESSAGE_RES_CFG_REPLYTOSHUTDOWN = 13 , MESSAGE_RES_CFG_RELOAD_CONFIG = 14 , MESSAGE_RES_CFG_REOPEN_LOG_FILES = 15 ,
MESSAGE_RES_CFG_NODESTATUSGET = 16
}

| The res_lib_cfg_types enum. More...
enum | corosync_administrative_target_t { AIS_AMF_ADMINISTRATIVETARGET_SERVICEUNIT = 0 , AIS_AMF_ADMINISTRATIVETARGET_SERVICEGROUP = 1 , AIS_AMF_ADMINISTRATIVETARGET_COMPONENTSERVICEINSTANCE = 2 , AIS_AMF_ADMINISTRATIVETARGET_NODE = 3 }
| corosync_administrative_target_t enum More...
enum | corosync_administrative_state_t { AIS_AMF_ADMINISTRATIVESTATE_UNLOCKED = 0 , AIS_AMF_ADMINISTRATIVESTATE_LOCKED = 1 , AIS_AMF_ADMINISTRATIVESTATE_STOPPING = 2 }
| corosync_administrative_state_t enum More...
enum | corosync_shutdown_flags_t { CFG_SHUTDOWN_FLAG_REQUEST = 0 , CFG_SHUTDOWN_FLAG_REGARDLESS = 1 , CFG_SHUTDOWN_FLAG_IMMEDIATE = 2 }
| corosync_shutdown_flags_t enum More...

## Macro Definition Documentation

## CFG_INTERFACE_NAME_MAX_LEN

#define CFG_INTERFACE_NAME_MAX_LEN 128

Definition at line 42 of file ipc_cfg.h.

## CFG_INTERFACE_STATUS_MAX_LEN

#define CFG_INTERFACE_STATUS_MAX_LEN 512

Definition at line 43 of file ipc_cfg.h.

## CFG_MAX_INTERFACES

#define CFG_MAX_INTERFACES 16

Definition at line 48 of file ipc_cfg.h.

## Enumeration Type Documentation

## corosync_administrative_state_t

enum corosync_administrative_state_t

corosync_administrative_state_t enum

Enumerator
AIS_AMF_ADMINISTRATIVESTATE_UNLOCKED |
AIS_AMF_ADMINISTRATIVESTATE_LOCKED |
AIS_AMF_ADMINISTRATIVESTATE_STOPPING |

Definition at line 291 of file ipc_cfg.h.

## corosync_administrative_target_t

enum corosync_administrative_target_t

corosync_administrative_target_t enum

Enumerator
AIS_AMF_ADMINISTRATIVETARGET_SERVICEUNIT |
AIS_AMF_ADMINISTRATIVETARGET_SERVICEGROUP |
AIS_AMF_ADMINISTRATIVETARGET_COMPONENTSERVICEINSTANCE |
AIS_AMF_ADMINISTRATIVETARGET_NODE |

Definition at line 281 of file ipc_cfg.h.

## corosync_shutdown_flags_t

enum corosync_shutdown_flags_t

corosync_shutdown_flags_t enum

Enumerator
CFG_SHUTDOWN_FLAG_REQUEST |
CFG_SHUTDOWN_FLAG_REGARDLESS |
CFG_SHUTDOWN_FLAG_IMMEDIATE |

Definition at line 300 of file ipc_cfg.h.

## req_lib_cfg_types

enum req_lib_cfg_types

The req_lib_cfg_types enum.

Enumerator
MESSAGE_REQ_CFG_RINGSTATUSGET |
MESSAGE_REQ_CFG_RINGREENABLE |
MESSAGE_REQ_CFG_KILLNODE |
MESSAGE_REQ_CFG_TRYSHUTDOWN |
MESSAGE_REQ_CFG_REPLYTOSHUTDOWN |
MESSAGE_REQ_CFG_GET_NODE_ADDRS |
MESSAGE_REQ_CFG_LOCAL_GET |
MESSAGE_REQ_CFG_RELOAD_CONFIG |
MESSAGE_REQ_CFG_REOPEN_LOG_FILES |
MESSAGE_REQ_CFG_NODESTATUSGET |
MESSAGE_REQ_CFG_TRACKSTART |
MESSAGE_REQ_CFG_TRACKSTOP |

Definition at line 53 of file ipc_cfg.h.

## res_lib_cfg_types

enum res_lib_cfg_types

The res_lib_cfg_types enum.

Enumerator
MESSAGE_RES_CFG_RINGSTATUSGET |
MESSAGE_RES_CFG_RINGREENABLE |
MESSAGE_RES_CFG_STATETRACKSTART |
MESSAGE_RES_CFG_STATETRACKSTOP |
MESSAGE_RES_CFG_ADMINISTRATIVESTATESET |
MESSAGE_RES_CFG_ADMINISTRATIVESTATEGET |
MESSAGE_RES_CFG_SERVICELOAD |
MESSAGE_RES_CFG_SERVICEUNLOAD |
MESSAGE_RES_CFG_KILLNODE |
MESSAGE_RES_CFG_TRYSHUTDOWN |
MESSAGE_RES_CFG_TESTSHUTDOWN |
MESSAGE_RES_CFG_GET_NODE_ADDRS |
MESSAGE_RES_CFG_LOCAL_GET |
MESSAGE_RES_CFG_REPLYTOSHUTDOWN |
MESSAGE_RES_CFG_RELOAD_CONFIG |
MESSAGE_RES_CFG_REOPEN_LOG_FILES |
MESSAGE_RES_CFG_NODESTATUSGET |

Definition at line 71 of file ipc_cfg.h.